/*
** amiga.lib for vbcc-PowerOpen/WarpOS
**
** LibCreatePool(), LibDeletePool()
**
** V0.2 19-Apr-98 phx
**      AllocVecPPC() returns APTR, so a cast is needed
** V0.1 15-Mar-98 phx
**      only dummy functions, because WarpOS has no mem pools in V14
*/

#include <exec/types.h>
#include <clib/powerpc_protos.h>

struct dummyPool {
  ULONG reqs;
};


APTR LibCreatePool(ULONG requirements, ULONG puddleSize, ULONG threshSize)
{
  struct dummyPool *dp;

  if (dp = (struct dummyPool *)AllocVecPPC(sizeof(struct dummyPool),0,0))
    dp->reqs = requirements;
  return (dp);
}


VOID LibDeletePool(APTR poolHeader)
{
  FreeVecPPC(poolHeader);
}
